    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class org.jdom.output.DOMOutputter

    java.lang.Object
       |
       +----org.jdom.output.DOMOutputter

public class DOMOutputter
extends Object

Takes a JDOM tree and outputs to a DOM tree.

Version:
  $Revision: 1.28 $, $Date: 2002/02/12 06:15:21 $
Author:
  Brett McLaughlin, Jason Hunter, Matthew Merlo, Dan Schaffer, Yusuf Goolamabbas, Bradley S. Huffman

##

DOMOutputter()

  This creates a new DOMOutputter which will attempt to first locate a DOM implementation to use via JAXP, and if JAXP does not exist or there's a problem, will fall back to the default parser.

DOMOutputter(String)

  This creates a new DOMOutputter using the specified DOMAdapter implementation as a way to choose the underlying parser.

##

output(Attribute)

  This converts the JDOM `Attribute` parameter to a DOM `Attr`, returning the DOM version.

output(Attribute, Document)
output(Document)

  This converts the JDOM `Document` parameter to a DOM Document, returning the DOM version.

output(Element)

  This converts the JDOM `Element` parameter to a DOM Element, returning the DOM version.

output(Element, Document, NamespaceStack)

##

DOMOutputter

     public DOMOutputter()

  This creates a new DOMOutputter which will attempt to first locate a DOM implementation to use via JAXP, and if JAXP does not exist or there's a problem, will fall back to the default parser.

DOMOutputter

     public DOMOutputter(String adapterClass)

  This creates a new DOMOutputter using the specified DOMAdapter implementation as a way to choose the underlying parser.

  Parameters:
    adapterClass - `String` name of class to use for DOM output

##

output

     public Document output(Document document) throws JDOMException

  This converts the JDOM `Document` parameter to a DOM Document, returning the DOM version. The DOM implementation is the one chosen in the constructor.

  Parameters:
    document - `Document` to output.
  Returns:
    an `org.w3c.dom.Document` version

output

     public Element output(Element element) throws JDOMException

  This converts the JDOM `Element` parameter to a DOM Element, returning the DOM version.

  Parameters:
    element - `Element` to output.
  Returns:
    an `org.w3c.dom.Element` version

output

     protected Element output(Element element,
                              Document domDoc,
                              NamespaceStack namespaces) throws JDOMException

output

     public Attr output(Attribute attribute) throws JDOMException

  This converts the JDOM `Attribute` parameter to a DOM `Attr`, returning the DOM version.

  Parameters:
    attribute - `Attribute` to output.
  Returns:
    an `org.w3c.dom.Attr` version

output

     protected Attr output(Attribute attribute,
                           Document domDoc) throws JDOMException

    All Packages  Class Hierarchy  This Package  Previous  Next  Index